#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N, M;
    cin >> N >> M;
    vector<pair<int, int>> Vage(N);
    for(int i = 0; i < N; i++)
    { 
        cin >> Vage[i].first >> Vage[i].second;
    }
    int l, r, masa;
    for(int i = 0; i < M; i++)
    { 
        int brojac = 0;
        cin >> l >> r >> masa;
        l--;
        r--;
        for(int j = l; j <= r; j++)
        { 
            if(Vage[j].first <= masa && Vage[j].second >= masa)
            {
                brojac++;
            }
        }
        cout << brojac << endl;
    }
    
    return 0;
}